body {
    background: #f5f5f5;
    font-family: 'Open Sans', sans-serif;
    font-size: 14px;
    color: #333;
    line-height: 1.5;
    margin: 0;
}

.nav-bar {
    background: #fff;
    border-bottom: 1px solid #e5e5e5;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.1);
    height: 60px;
    z-index: 1;
    display: flex;
    flex-direction: row;
    position: relative;
    padding: 0 20px;
    justify-content: space-between;
    align-items: center;
}

.nav-bar img {
    height: 40px;
}

.nav-bar .nav-actions {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
}

.center-container {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: calc(100vh - 65px);
}

.center-content {
    margin-top: -100px;
    text-align: center;
}

.title {
    font-size: 40px;
    font-weight: 300;
}

.description {
    font-size: 25px;
    font-weight: 300;
    margin-bottom: 30px;
}

.status {
    font-size: 14px;
    font-weight: 300;
}

.dot {
    display: inline-block;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    margin: 0 10px;
}

.green {
    background: #5cb85c;
}

.red {
    background: #d9534f;
}

.snackbar {
    position: absolute;
    top: 20px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 2;
    padding: 15px 100px;
    overflow: hidden;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

.danger {
    background: #d9534f;
    border-left: 5px solid #d43f3a;
    opacity: 0.9;
}

.fading {
    animation: fading 5s infinite;
}

@keyframes fading {
    0% {
        opacity: 1;
    }
    50% {
        opacity: .4;
    }
    100% {
        opacity: 1;
    }
}

.center-form-container {
    width: min(500px, 100%);
}

.center-form-container form {
    position: relative;
}

.form-container {
    padding: 50px;
    border-radius: 5px;
    background-color: #fff;
    box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
}

.form-container button {
    margin-top: 30px;
}

.form-container .form-title {
    font-size: 20px;
    font-weight: 300;
    margin-bottom: 30px;
    text-align: center;
}

.form-group {
    margin-bottom: 20px;
    display: flex;
    flex-direction: column;
}

.form-group label {
    font-size: 14px;
    font-weight: 300;
    margin-bottom: 5px;
}

.form-group input {
    border: 1px solid #ccc;
    border-radius: 3px;
    padding: 10px;
    font-size: 14px;
    font-weight: 300;
    outline: none;
}

.btn {
    padding: 10px 20px;
    border-radius: 5px;
    background-color: #5cb85c;
    color: #fff;
    font-size: 16px;
    font-weight: 300;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
    border: none;
    text-decoration: none;
}

.btn-outlined {
    background-color: transparent !important;
    color: #5cb85c !important;
    border: 1px solid #5cb85c !important;
}

.btn-nav {
    padding: 8px 18px !important;
}

.container {
    display: flex;
    padding: 0 15px;
}

.row  {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: stretch;
}

.form-actions {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.card {
    margin: 20px;
    padding: 25px;
    border-radius: 5px;
    background-color: #fff;
    box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    width: min(400px, 100%);
}

@media only screen and (max-width: 1500px) {
    .card {
        width: min(calc(100% / 2.5), 100%);
    }
}

@media only screen and (max-width: 930px) {
    .card {
        width: 100%;
    }
}

.card-title {
    font-size: 20px;
    font-weight: 300;
    margin-bottom: 30px;
}

table .card-body {
    width: 100%;
}

.card-body tbody {
    width: 100%;
}

.card-actions {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-top: 30px;
}

.body-row {
    width: 100%;
    padding: 3px 0;
    border-radius: 5px;
    border-bottom: 1px solid #ccc;
    position: relative;
}

.body-header-row {
    background-color: #f5f5f5;
}

.row-action {
    width: 50px;
    text-align: center;
}

.row-action a {
    padding: 5px 10px;
    border-radius: 5px;
    color: #5cb85c;
    font-size: 16px;
    font-weight: 300;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
    border: none;
    text-decoration: none;
}

table {
    border-collapse: collapse;
    width: 100%;
}

td, th {
    text-align: left;
    padding: 8px;
    border: 1px solid #dddddd;
}

.form-error {
    color: #ff0000;
    font-size: 14px;
    font-weight: 300;
    margin-bottom: 5px;
    text-align: center;
    margin-top: -20px;
}

.double-form-group {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: stretch;
}

.double-form-group .form-group {
    width: 45%;
}

.delete {
    position: absolute;
    top: 15px;
    right: 15px;
    text-decoration: none;
    color: #d43f3a;
}